Daniel Naber LanguageTool 内嵌webserver跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1191063 漏洞类型 跨站脚本
发布时间 2007-04-10 更新时间 2007-04-10
CVE编号 CVE-2007-1939 CNNVD-ID CNNVD-200704-147
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
https://www.securityfocus.com/bid/81843
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200704-147
|漏洞详情
DanielNaberLanguageTool的内嵌的web服务器中存在跨站脚本攻击漏洞。远程攻击者可以借助涉及出错信息的未明参数,注入任意的web脚本或HTML。它可能涉及HTTPServer.java中的demultiplex方式。
|受影响的产品
Daniel Naber LanguageTool 0.8.8
|参考资料

来源:VUPEN
名称:ADV-2007-1759
链接:http://www.frsirt.com/english/advisories/2007/1759
来源:www.danielnaber.de
链接:http://www.danielnaber.de/languagetool/download/CHANGES.txt